Vault
Delete Vault Album
Delete a vault album in Fansly.
Permanently delete a vault album from a Fansly account.
https://v1.apifansly.com/api/fansly
DELETE
/{accountId}/vault/albums/{albumId}
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Request
curl -X DELETE "https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}" \
-H "x-api-key: YOUR_API_KEY"fetch("https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}", {
method: "DELETE",
headers: {
"x-api-key": "YOUR_API_KEY"
}
})
.then(response => response.json())
.then(data => console.log(data));import requests
url = "https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}"
headers = {
"x-api-key": "YOUR_API_KEY"
}
response = requests.delete(url, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}"))
.header("x-api-key", "YOUR_API_KEY")
.DELETE()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}using System;
using System.Net.Http;
using System.Threading.Tasks;
class Program
{
static async Task Main()
{
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.DeleteAsync("https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);
}
}package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Path Parameters
accountId*
stringThe unique identifier for the connected Fansly account.
albumId*
stringThe unique identifier of the vault album to delete.
Response
Success Response (200 OK)
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"id": "ALBUM_ID",
"accountId": "ACCOUNT_ID",
"pos": 4,
"title": "Updated title",
"description": "Updated description",
"type": null,
"status": 0,
"version": 1,
"createdAt": 1791989196000,
"lastSyncAt": 1791989260000,
"deletedAt": 1791993402952
}
}
},
"timestamp": "2026-10-14T15:56:43.127Z"
}